
'===============================================================================

  $nocompile

'===============================================================================

'           $include "\  SPI.bas"

'===============================================================================


'--------------------------    SPI  -------------------------------


  Load_max7219 Alias Portb.0 : Config Load_max7219 = Output


'Syntax for software SPI
'CONFIG SPI = SOFT, DIN = PIN, DOUT = PIN , SS = PIN|NONE, CLOCK = PIN , SPIIN=value , MODE=mode
'Syntax for hardware SPI
'CONFIG SPI = HARD, INTERRUPT=ON|OFF, DATA ORDER = LSB|MSB , MASTER = YES|NO , POLARITY = HIGH|LOW , PHASE = 0|1, CLOCKRATE = 4|16|64|128 , NOSS=1|0 , SPIIN=value


  #if Variant_realizacii_spi = 1
      Config Spi = Hard , Interrupt = Off , Data Order = Msb , Master = Yes , Polarity = High , Phase = 0 , Clockrate = 4 , Noss = 1
     '' Spsr.0 = 1 : Spcr.0 = 0 : Spcr.1 = 0       'F_spi = F_osc / 2
     '' Double Speed (CK/2) Master SPI Mode
  #endif


  #if Variant_realizacii_spi = 2
      Config Spi = Soft , Din = Pinb.4 , Dout = Portb.3 , Clock = Portb.5 , Ss = None
  #endif


  #if Variant_realizacii_spi = 3
      Clk_max7219 Alias Portb.5 : Config Clk_max7219 = Output
      Din_max7219 Alias Portb.3 : Config Din_max7219 = Output
  #endif


  #if Variant_realizacii_spi < 3
      Spiinit
  #endif
